# stash_nofier.rb
# Copyright 2013 Doug Ireton

# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

#     http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

require 'stash_notifier/build_result'
require 'stash_notifier/http_client'
require 'stash_notifier/version'

module StashNotifier
  class << self
    def new(args)
      # TODO: Refactor this into private method
      build_args               = {}
      build_args[:state]       = args[:build_status]
      build_args[:key]         = args[:build_key]
      build_args[:name]        = args[:build_name]
      build_args[:url]         = args[:build_url]
      build_args[:description] = args[:build_description]

      build_result = StashNotifier::BuildResult.new(build_args)

      args[:build_result] = build_result.to_json

      StashNotifier::HTTPClient.new(args)
    end
  end
end
